<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 

show_title('site.png', 'Выдача кредитов');
$config['newtitle'] = 'Выдача кредитов';

if (is_user()) {
  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case "index":

    echo 'В наличии: ' . moneys($udata['users_money']) . '<br />';
    echo 'В банке: ' . moneys(user_bankmoney($log)) . '<br /><br />';
    // --------------------- Вычисление если долг ---------------------------//
    if ($udata['users_sumcredit'] > 0) {
      echo '<b><span style="color:#ff0000">Сумма долга составляет: ' . moneys($udata['users_sumcredit']) . '</span></b><br />';

      if (SITETIME < $udata['users_timecredit']) {
        echo 'До истечения срока кредита осталось <b>' . formattime($udata['users_timecredit'] - SITETIME) . '</b><br /><br />';
      } else {
        if ($udata['users_point'] >= 10) {
          $delpoint = 10;
        } else {
          $delpoint = $udata['users_point'];
        } 

        echo '<b><span style="color:#ff0000">Внимание! Время погашения кредита просрочено!</span></b><br />';
        echo 'Начислен штраф в сумме 1%, у вас списано ' . points($delpoint) . ', и 1 балл авторитета<br /><br />';

        DB :: $dbh -> query("UPDATE `users` SET `users_point`=`users_point`-?, `users_negrating`=`users_negrating`+1, `users_timecredit`=?, `users_sumcredit`=round(`users_sumcredit`*1.01) WHERE `users_login`=?", array($delpoint, SITETIME + 86400, $log));
      } 
    } 

    echo '<div class="form">';
    echo '<b>Операция:</b><br />';
    echo '<form action="kredit.php?act=operacia&amp;' . SID . '" method="post">';
    echo '<input type="text" name="gold" /><br />';
    echo '<select name="oper">';
    echo '<option value="1">Взять кредит</option><option value="2">Погасить кредит</option>';
    echo '</select><br />';
    echo '<input type="submit" value="Продолжить" /></form></div><br />';

    echo'Минимальная сумма кредита ' . moneys($config['minkredit']) . '<br />';
    echo'Максимальная сумма кредита равна ' . moneys($config['maxkredit']) . '<br /><br />';

    echo '<b>Условия кредита</b><br />Независимо от суммы кредита банк берет ' . (int)$config['percentkredit'] . '% за операцию, кредит выдается на 3 дня<br />';
    echo 'Каждый просроченный день увеличивает сумму на 1% плюс у вас списывается ' . points(10) . ' и 1 балл авторитета<br />';
    echo 'Кредит выдается пользователям у которых не менее ' . points(150) . '<br /><br />';
    break;
  # ###########################################################################################
  # #                                     Операции                                           ##
  # ###########################################################################################
  case "operacia":

    $gold = (int)$_POST['gold'];
    $oper = (int)$_POST['oper'];

    if ($oper == 1 || $oper == 2) {
      if ($gold >= $config['minkredit']) {
        // -------------------------- Выдача кредитов -----------------------------//
        if ($oper == "1") {
          echo '<b>Получение кредита</b><br />';

          if ($gold <= $config['maxkredit']) {
            if ($udata['users_point'] >= 150) {
              if (empty($udata['users_sumcredit'])) {
                $sumcredit = $gold + (($gold * $config['percentkredit']) / 100);

                DB :: $dbh -> query("UPDATE users SET users_money=users_money+?, users_sumcredit=?, users_timecredit=? WHERE users_login=?", array($gold, $sumcredit, SITETIME + 259200, $log));

                $allmoney = DB :: $dbh -> querySingle("SELECT users_money FROM users WHERE users_login=?;", array($log));

                echo 'Cредства успешно перечислены вам в карман!<br />';
                echo 'Количество денег на руках: <b>' . moneys($allmoney) . '</b><br /><br />';
              } else {
                show_error('Ошибка! Вы не сможете получить кредит, возможно за вами еще числится долг!');
              } 
            } else {
              show_error('Ошибка! Ваш статус не позволяет вам получать кредит!');
            } 
          } else {
            show_error('Ошибка! Операции более чем с ' . moneys($config['maxkredit']) . ' не проводятся!');
          } 
        } 
        // -------------------------- Погашение кредитов -----------------------------//
        if ($oper == "2") {
          echo '<b>Погашение кредита</b><br />';

          if ($udata['users_sumcredit'] > 0) {
            if ($udata['users_sumcredit'] == $gold) {
              if ($gold <= $udata['users_money']) {
                DB :: $dbh -> query("UPDATE users SET users_money=users_money-?, users_sumcredit=?, users_timecredit=? WHERE users_login=?", array($gold, 0, 0, $log));

                $allmoney = DB :: $dbh -> querySingle("SELECT users_money FROM users WHERE users_login=?;", array($log));

                echo 'Поздравляем! Кредит успешно погашен, благодорим за сотрудничество!<br />';
                echo 'Остаток денег на руках: <b>' . moneys($allmoney) . '</b><br /><br />';
              } else {
                show_error('Ошибка! у вас нехватает денег для погашения кредита!');
              } 
            } else {
              show_error('Ошибка! Необходимо внести точную сумму вашей задолженности!');
            } 
          } else {
            show_error('Ошибка! У вас нет задолженности перед банком, погашать кредит не нужно!');
          } 
        } 
      } else {
        show_error('Операции менее чем с ' . moneys($config['minkredit']) . ' не проводятся!');
      } 
    } else {
      show_error('Ошибка! Не выбрана операция!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="kredit.php?' . SID . '">Вернуться</a><br />';
    break;

  default:
    header("location: kredit.php?" . SID);
    exit;
    endswitch;
  } else {
  show_login('Вы не авторизованы, чтобы совершать операции, необходимо');
} 

echo '<img src="../images/img/money.gif" alt="image" /> <a href="../games/bank.php?' . SID . '">Банк</a><br />';
echo '<img src="../images/img/games.gif" alt="image" /> <a href="../pages/index.php?act=arkada&amp;' . SID . '">Развлечения</a><br />';
echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>